Skip to main content
POST
Return an ACH

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

Idempotency key

Maximum string length: 255

Path Parameters

ach_id
string
required

ID of the ACH object to be returned.

Pattern: ^ach_\w+$

Body

application/json
return_code
enum<string>
required

The NACHA Return code under which to initiate this return. R0x–R5x initiate a standard return against the original ACH origination. R61, R62, R67, R68, R69, R70 dishonor an existing return. R71–R77 contest an existing dishonored return. The return code must match the current state of the return chain.

Available options:
R01,
R02,
R03,
R05,
R07,
R08,
R09,
R10,
R11,
R14,
R15,
R16,
R17,
R22,
R23,
R29,
R61,
R62,
R67,
R68,
R69,
R70,
R71,
R72,
R73,
R74,
R75,
R76,
R77
Example:

"R02"

metadata
object

A set of key-value pairs that can be used to store additional information related to this object.

Response

The now-returned original ACH object.

id
string

id of the ACH object

Pattern: ^ach_\w+$
Example:

"ach_xyz001"

created_at
string<date-time>

The ISO-8601 timestamp at which the ACH object was created.

Example:

"2022-06-27T11:22:33Z"

updated_at
string<date-time>

The ISO-8601 timestamp at which the ACH object was last updated.

Example:

"2022-06-27T11:22:33Z"

status
enum<string>

The current status of the ACH object.

Available options:
scheduled,
processing,
submitted,
posted,
canceled,
under_review,
approved,
rejected,
pending_return,
returned,
pending_dishonored_return,
return_dishonored,
pending_contested_return,
return_contested
Example:

"submitted"

amount
integer<int64>

The amount of the transaction in cents.

Required range: 0 <= x <= 9900000000
Example:

5000

account_id
string

The ID of the Account object.

Pattern: ^account_\w+$
Example:

"account_xyz123"

account_number_id
string

The ID of the Lead Bank Account Number object.

Pattern: ^account_number_\w+$
Example:

"account_number_xyz123"

direction
enum<string>

Who is initiating the transaction.

outgoing: You are sending a transaction to a counterparty. incoming: You are receiving a transaction from a counterparty.

Available options:
outgoing,
incoming
Example:

"outgoing"

delivery_type
enum<string>

How fast you want the counterparty to receive the ACH.

  • same_business_day: if the ACH request is submitted before the cutoff window with the same business day option, funds will settle on the same day. 
  • next_business_day: standard ACH processing, for funds to settle on the next business day.
Available options:
same_business_day,
next_business_day
Example:

"same_business_day"

transaction_type
enum<string>

ACH transaction type.

Available options:
credit,
debit
Example:

"credit"

sec_code
enum<string>

Standard Entry Class (SEC) code to use for this ACH object.

Lead currently only supports CCD, PPD, WEB, and TEL for outgoing ACHes.

Available options:
PPD,
CCD,
ARC,
BOC,
CIE,
CTX,
IAT,
POP,
POS,
RCK,
TEL,
WEB,
ADV,
DNE,
ENR,
MTE,
SHR,
TRC,
TRX,
COR
Example:

"WEB"

currency_code
enum<string>

A three-letter currency code as defined in ISO 4217.

Available options:
USD
Example:

"USD"

statement_descriptor
string

The description you would like to appear on your customers’ statement. Maximum number of characters is 10.

Required string length: 1 - 10
Pattern: ^(?!0+$)(?! +$)[\x20-\x7E]*$
Example:

"P2P Credit"

record_details
object
counterparty
object

The details of the counterparty you are sending/receiving money from.

returns
object[]

Associated returns.

reversal
object

A reversal associated with this object.

rejection
object
correction
object

The corrected counterparty details.

metadata
object

A set of key-value pairs that can be used to store additional information related to this object.

iat_details
object

IAT (International ACH Transaction) specific details. Present only when sec_code is IAT.